.\" Copyright (C) 2005-2006  Ben Kibbey <bjk@luxsci.net>
.\" 
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\" 
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\" 
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
.
.Dd January 09, 2003
.Os
.Dt ncast 1
.
.Sh NAME
.
.Nm ncast
.Nd an ncurses frontend to Shoutcast
.
.Sh SYNOPSIS
.
.Nm ncast
.Op Fl hvb
.Op Fl p Ar plugin:key[:description]
.Op Fl s Ar server[:port]
.Op Fl f Ar file
.
.Sh DESCRIPTION
.
.Nm ncast
is a ncurses console front end to the Shoutcast music service. It passes the
URL of the stream to
.Xr mplayer
for playing. It supports plugins to allow for easy manipulation of the
plethora of mplayer options.
.
.Pp
The following command line options are available:
.
.Bl -tag -width
.It Fl p Ar plugin:key[:description]
Loads
.Ar plugin
bound to
.Ar key
with an optional
.Ar description
in the help menu. See doc/README.plugins for information about writing your
own plugins.
.It Fl s Ar server Op Ar :port
An alternate Shoutcast server to connect to.
.It Fl f Ar file
Alternate configuration file. Default is
.Ar ~/.ncast/config .
.It Fl b
Load the bookmark menu on startup. This will override the configuration file
value and defer connecting to the server to fetch genres until you switch to
the genre menu.
.It Fl v
Version information.
.It Fl h
Program help text.
.El
.
.Sh "CONFIGURATION FILE"
Empty lines and lines beginning with a '#' are ignored. Other lines are
parameter and value pairs which must be on the same line and separated with
one or more space or TAB characters.
.Pp
.Bl -tag -compact
.It Cm sort Ar string
Default sorting method when displaying picks. Must be one of
.Ar play , 
.Ar play_r , 
.Ar bitrate  ,
.Ar bitrate_r , 
.Ar info , 
.Ar info_r , 
.Ar users , 
.Ar users_r , 
.Ar limit , 
.Ar limit_r , 
.Ar rank , 
or
.Ar rank_r . 
The default is 
.Ar rank .
.Pp
.It Cm bookmarks Ar integer
Set to
.Ar 1
to load the bookmarks menu on startup.
.Pp
.It Cm max_pages Ar integer
The maximum number of pages to fetch from the server. Shoutcast serves 20
picks per page. Setting to
.Ar 0
will disable the fetch limit.
.Pp
.It Cm nodups Ar integer
Set to
.Ar 1
to skip picks which contain the same song title as another pick for the current
genre.
Set to
.Ar 0
to disable. Duplicate URL's will still be filtered no matter what this
setting.
.Pp
.It Cm plugin Ar filename Ar key Op Ar description
Load a plugin. This can be specified more than once to load multiple
plugins. It needs at least two values being the plugin filename and the key to
bind the plugin to. An optional third value being a description of the plugin
in the help menu. Note that plugins should have their own description defined.
If you specify this third value, it will be used instead of the plugin value.
If the plugin is not located in the default location (
.Pa /usr/share/ncast ,
.Pa ~/.ncast/plugins )
then it must the full path to the plugin. A filename beginning with a '~' will
be expanded to your home directory.
.Pp
.It Cm colors Ar integer
Enable or disable colors support. Default is
.Ar 1 .
.Pp
.It Cm collapse Ar integer
Collapse the initial genre or bookmark tree on startup. Default is
.Ar 1 .
.El
.
.Sh COLORS
.Bl -tag -compact
.It Cm genre_selected Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm genre_section Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm genre_other Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm genre_picks Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm pick_selected Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm pick_other Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm search_window Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm status_window Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm active_border Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm inactive_border Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm help_window Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm help_border Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm bookmark_arrow Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm scroll_arrow Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm line_art Ar foreground Ar background Op Ar cattr Op Ar attr
.It Cm progress_bar Ar foreground Ar background Op Ar cattr Op Ar attr
.El
.Pp
Color and attributes can be modified from the configuration file. There are up
to four values for each parameter. The first two are the foreground and
background colors which must be one of:
.Ar black ,
.Ar white ,
.Ar blue ,
.Ar green ,
.Ar yellow ,
.Ar cyan ,
.Ar magenta
or
.Ar red .
.Pp
The third and fourth values are optional and set terminal attributes. The
third sets attributes for color terminals and the fourth for non-color
terminals. Multiple attributes may be assigned by separating them with a
comma. Note that not all terminals support all attributes. The following
attributes are recognized:
.Ar bold ,
.Ar reverse ,
.Ar dim ,
.Ar standout ,
.Ar underline ,
.Ar blink ,
.Ar invisible 
and
.Ar none .
.Pp
Color parameters with a _window extension will set the default color and
attibutes for all characters for the given parameter set.
.
.Sh FILES
.Bl -tag -compact
.It Pa ~/.ncast/config
Default configuration file.
.It Pa ~/.ncast/bookmarks
Bookmark file containing captured pick URLS and descriptions.
.It Pa ~/.ncast/plugins
Where plugins are stored.
.El
.
.Sh AUTHORS
.
.An "Ben Kibbey" Aq bjk@luxsci.net
